Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.shared.services.impl
Class QueryManager

    java.lang.Object
      org.jbpm.shared.services.impl.QueryManager

    public class QueryManager

extends Object

Field Summary
`static String` | `ASCENDING_KEY`
`static String` | `DESCENDING_KEY`
`static String` | `FILTER`
`static String` | `ORDER_BY_KEY`

Constructor Summary
`protected` | `QueryManager()`

Method Summary
`void` | `addNamedQueries(String ormFile)`
`static QueryManager` | `get()`
`String` | `getQuery(String name, Map<String,Object> params)`
`protected void` | `parse(String ormFile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ORDER_BY_KEY

    public static final String ORDER_BY_KEY

See Also:
  Constant Field Values

### ASCENDING_KEY

    public static final String ASCENDING_KEY

See Also:
  Constant Field Values

### DESCENDING_KEY

    public static final String DESCENDING_KEY

See Also:
  Constant Field Values

### FILTER

    public static final String FILTER

See Also:
  Constant Field Values

Constructor Detail

### QueryManager

    protected QueryManager()

Method Detail

### get

    public static QueryManager get()

### addNamedQueries

    public void addNamedQueries(String ormFile)

### getQuery

    public String getQuery(String name,
                           Map<String,Object> params)

### parse

    protected void parse(String ormFile)
                  throws XMLStreamException

  Throws:
    `XMLStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.